:tocdepth: 2

Blender API Change Log
**********************

.. note, this document is auto generated by sphinx_changelog_gen.py


2.79 to 2.80
============

bpy.types.ActionGroup
---------------------

Added
^^^^^

* :class:`bpy.types.ActionGroup.show_expanded_graph`

bpy.types.AnimData
------------------

Added
^^^^^

* :class:`bpy.types.AnimData.nla_tweak_strip_time_to_scene`

bpy.types.AnimDataDrivers
-------------------------

Added
^^^^^

* :class:`bpy.types.AnimDataDrivers.new`
* :class:`bpy.types.AnimDataDrivers.remove`

bpy.types.AnimViz
-----------------

Removed
^^^^^^^

* **onion_skin_frames**

bpy.types.AnimVizMotionPaths
----------------------------

Added
^^^^^

* :class:`bpy.types.AnimVizMotionPaths.has_motion_paths`

bpy.types.Area
--------------

Added
^^^^^

* :class:`bpy.types.Area.ui_type`

bpy.types.BlendData
-------------------

Added
^^^^^

* :class:`bpy.types.BlendData.collections`
* :class:`bpy.types.BlendData.lightprobes`
* :class:`bpy.types.BlendData.lights`
* :class:`bpy.types.BlendData.workspaces`

Removed
^^^^^^^

* **groups**
* **lamps**

Renamed
^^^^^^^

* **grease_pencil** -> :class:`bpy.types.BlendData.grease_pencils`

bpy.types.BlendDataActions
--------------------------

Removed
^^^^^^^

* **is_updated**

bpy.types.BlendDataArmatures
----------------------------

Removed
^^^^^^^

* **is_updated**

bpy.types.BlendDataBrushes
--------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataBrushes.create_gpencil_data`

Removed
^^^^^^^

* **is_updated**

bpy.types.BlendDataCacheFiles
-----------------------------

Removed
^^^^^^^

* **is_updated**

bpy.types.BlendDataCameras
--------------------------

Removed
^^^^^^^

* **is_updated**

bpy.types.BlendDataCurves
-------------------------

Removed
^^^^^^^

* **is_updated**

bpy.types.BlendDataFonts
------------------------

Removed
^^^^^^^

* **is_updated**

bpy.types.BlendDataGreasePencils
--------------------------------

Removed
^^^^^^^

* **is_updated**

bpy.types.BlendDataImages
-------------------------

Removed
^^^^^^^

* **is_updated**

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataImages.new` (name, width, height, alpha, float_buffer, stereo3d, is_data), *was (name, width, height, alpha, float_buffer, stereo3d)*

bpy.types.BlendDataLattices
---------------------------

Removed
^^^^^^^

* **is_updated**

bpy.types.BlendDataLibraries
----------------------------

Removed
^^^^^^^

* **is_updated**

bpy.types.BlendDataLineStyles
-----------------------------

Removed
^^^^^^^

* **is_updated**

bpy.types.BlendDataMasks
------------------------

Removed
^^^^^^^

* **is_updated**

bpy.types.BlendDataMaterials
----------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataMaterials.create_gpencil_data`
* :class:`bpy.types.BlendDataMaterials.remove_gpencil_data`

Removed
^^^^^^^

* **is_updated**

bpy.types.BlendDataMeshes
-------------------------

Removed
^^^^^^^

* **is_updated**

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataMeshes.new_from_object` (object, preserve_all_data_layers, depsgraph), *was (scene, object, apply_modifiers, settings, calc_tessface, calc_undeformed)*

bpy.types.BlendDataMetaBalls
----------------------------

Removed
^^^^^^^

* **is_updated**

bpy.types.BlendDataMovieClips
-----------------------------

Removed
^^^^^^^

* **is_updated**

bpy.types.BlendDataNodeTrees
----------------------------

Removed
^^^^^^^

* **is_updated**

bpy.types.BlendDataObjects
--------------------------

Removed
^^^^^^^

* **is_updated**

bpy.types.BlendDataPaintCurves
------------------------------

Removed
^^^^^^^

* **is_updated**

bpy.types.BlendDataPalettes
---------------------------

Removed
^^^^^^^

* **is_updated**

bpy.types.BlendDataParticles
----------------------------

Removed
^^^^^^^

* **is_updated**

bpy.types.BlendDataScenes
-------------------------

Removed
^^^^^^^

* **is_updated**

bpy.types.BlendDataScreens
--------------------------

Removed
^^^^^^^

* **is_updated**

bpy.types.BlendDataSounds
-------------------------

Removed
^^^^^^^

* **is_updated**

bpy.types.BlendDataSpeakers
---------------------------

Removed
^^^^^^^

* **is_updated**

bpy.types.BlendDataTexts
------------------------

Removed
^^^^^^^

* **is_updated**

bpy.types.BlendDataTextures
---------------------------

Removed
^^^^^^^

* **is_updated**

bpy.types.BlendDataWindowManagers
---------------------------------

Removed
^^^^^^^

* **is_updated**

bpy.types.BlendDataWorlds
-------------------------

Removed
^^^^^^^

* **is_updated**

bpy.types.Bone
--------------

Added
^^^^^

* :class:`bpy.types.Bone.AxisRollFromMatrix`
* :class:`bpy.types.Bone.MatrixFromAxisRoll`
* :class:`bpy.types.Bone.bbone_custom_handle_end`
* :class:`bpy.types.Bone.bbone_custom_handle_start`
* :class:`bpy.types.Bone.bbone_easein`
* :class:`bpy.types.Bone.bbone_easeout`
* :class:`bpy.types.Bone.bbone_handle_type_end`
* :class:`bpy.types.Bone.bbone_handle_type_start`
* :class:`bpy.types.Bone.bbone_scaleinx`
* :class:`bpy.types.Bone.bbone_scaleiny`
* :class:`bpy.types.Bone.bbone_scaleoutx`
* :class:`bpy.types.Bone.bbone_scaleouty`
* :class:`bpy.types.Bone.convert_local_to_pose`

Removed
^^^^^^^

* **bbone_in**
* **bbone_out**
* **bbone_scalein**
* **bbone_scaleout**

bpy.types.ClothCollisionSettings
--------------------------------

Added
^^^^^

* :class:`bpy.types.ClothCollisionSettings.collection`
* :class:`bpy.types.ClothCollisionSettings.impulse_clamp`
* :class:`bpy.types.ClothCollisionSettings.self_impulse_clamp`

Removed
^^^^^^^

* **distance_repel**
* **group**
* **repel_force**
* **self_collision_quality**

bpy.types.ClothSettings
-----------------------

Added
^^^^^

* :class:`bpy.types.ClothSettings.bending_model`
* :class:`bpy.types.ClothSettings.compression_damping`
* :class:`bpy.types.ClothSettings.compression_stiffness`
* :class:`bpy.types.ClothSettings.compression_stiffness_max`
* :class:`bpy.types.ClothSettings.shear_damping`
* :class:`bpy.types.ClothSettings.shear_stiffness`
* :class:`bpy.types.ClothSettings.shear_stiffness_max`
* :class:`bpy.types.ClothSettings.tension_damping`
* :class:`bpy.types.ClothSettings.tension_stiffness`
* :class:`bpy.types.ClothSettings.tension_stiffness_max`
* :class:`bpy.types.ClothSettings.vertex_group_shear_stiffness`

Removed
^^^^^^^

* **spring_damping**
* **structural_stiffness**
* **structural_stiffness_max**
* **use_pin_cloth**
* **use_stiffness_scale**
* **vel_damping**

bpy.types.CollisionSettings
---------------------------

Added
^^^^^

* :class:`bpy.types.CollisionSettings.cloth_friction`
* :class:`bpy.types.CollisionSettings.use_culling`
* :class:`bpy.types.CollisionSettings.use_normal`

bpy.types.ColorManagedInputColorspaceSettings
---------------------------------------------

Added
^^^^^

* :class:`bpy.types.ColorManagedInputColorspaceSettings.is_data`

bpy.types.CopyScaleConstraint
-----------------------------

Added
^^^^^

* :class:`bpy.types.CopyScaleConstraint.power`
* :class:`bpy.types.CopyScaleConstraint.use_add`

bpy.types.FloorConstraint
-------------------------

Removed
^^^^^^^

* **use_sticky**

bpy.types.MaintainVolumeConstraint
----------------------------------

Added
^^^^^

* :class:`bpy.types.MaintainVolumeConstraint.mode`

bpy.types.ShrinkwrapConstraint
------------------------------

Added
^^^^^

* :class:`bpy.types.ShrinkwrapConstraint.cull_face`
* :class:`bpy.types.ShrinkwrapConstraint.track_axis`
* :class:`bpy.types.ShrinkwrapConstraint.use_invert_cull`
* :class:`bpy.types.ShrinkwrapConstraint.use_project_opposite`
* :class:`bpy.types.ShrinkwrapConstraint.use_track_normal`
* :class:`bpy.types.ShrinkwrapConstraint.wrap_mode`

bpy.types.SplineIKConstraint
----------------------------

Added
^^^^^

* :class:`bpy.types.SplineIKConstraint.use_original_scale`
* :class:`bpy.types.SplineIKConstraint.y_scale_mode`

Removed
^^^^^^^

* **use_y_stretch**

bpy.types.Context
-----------------

Added
^^^^^

* :class:`bpy.types.Context.engine`
* :class:`bpy.types.Context.evaluated_depsgraph_get`

Renamed
^^^^^^^

* **user_preferences** -> :class:`bpy.types.Context.collection`
* **user_preferences** -> :class:`bpy.types.Context.gizmo_group`
* **user_preferences** -> :class:`bpy.types.Context.layer_collection`
* **user_preferences** -> :class:`bpy.types.Context.preferences`
* **user_preferences** -> :class:`bpy.types.Context.view_layer`
* **user_preferences** -> :class:`bpy.types.Context.workspace`

bpy.types.CurveMapping
----------------------

Added
^^^^^

* :class:`bpy.types.CurveMapping.tone`

bpy.types.Depsgraph
-------------------

Added
^^^^^

* :class:`bpy.types.Depsgraph.debug_stats_gnuplot`
* :class:`bpy.types.Depsgraph.id_eval_get`
* :class:`bpy.types.Depsgraph.id_type_updated`
* :class:`bpy.types.Depsgraph.ids`
* :class:`bpy.types.Depsgraph.mode`
* :class:`bpy.types.Depsgraph.object_instances`
* :class:`bpy.types.Depsgraph.objects`
* :class:`bpy.types.Depsgraph.scene`
* :class:`bpy.types.Depsgraph.scene_eval`
* :class:`bpy.types.Depsgraph.updates`
* :class:`bpy.types.Depsgraph.view_layer`
* :class:`bpy.types.Depsgraph.view_layer_eval`

Renamed
^^^^^^^

* **debug_graphviz** -> :class:`bpy.types.Depsgraph.debug_relations_graphviz`
* **debug_rebuild** -> :class:`bpy.types.Depsgraph.debug_tag_update`
* **debug_rebuild** -> :class:`bpy.types.Depsgraph.update`

bpy.types.DopeSheet
-------------------

Added
^^^^^

* :class:`bpy.types.DopeSheet.filter_collection`
* :class:`bpy.types.DopeSheet.show_cache_files`
* :class:`bpy.types.DopeSheet.show_lights`

Removed
^^^^^^^

* **filter_group**
* **show_lamps**
* **show_only_group_objects**
* **show_only_matching_fcurves**
* **use_filter_text**

bpy.types.Driver
----------------

Added
^^^^^

* :class:`bpy.types.Driver.is_simple_expression`

Removed
^^^^^^^

* **show_debug_info**

bpy.types.DynamicPaintBrushSettings
-----------------------------------

Removed
^^^^^^^

* **material**
* **use_material**

bpy.types.DynamicPaintSurface
-----------------------------

Added
^^^^^

* :class:`bpy.types.DynamicPaintSurface.brush_collection`

Removed
^^^^^^^

* **brush_group**
* **preview_id**
* **show_preview**
* **use_color_preview**

bpy.types.EditBone
------------------

Added
^^^^^

* :class:`bpy.types.EditBone.bbone_custom_handle_end`
* :class:`bpy.types.EditBone.bbone_custom_handle_start`
* :class:`bpy.types.EditBone.bbone_easein`
* :class:`bpy.types.EditBone.bbone_easeout`
* :class:`bpy.types.EditBone.bbone_handle_type_end`
* :class:`bpy.types.EditBone.bbone_handle_type_start`
* :class:`bpy.types.EditBone.bbone_scaleinx`
* :class:`bpy.types.EditBone.bbone_scaleiny`
* :class:`bpy.types.EditBone.bbone_scaleoutx`
* :class:`bpy.types.EditBone.bbone_scaleouty`

Removed
^^^^^^^

* **bbone_in**
* **bbone_out**
* **bbone_scalein**
* **bbone_scaleout**

bpy.types.EffectorWeights
-------------------------

Added
^^^^^

* :class:`bpy.types.EffectorWeights.collection`

Removed
^^^^^^^

* **group**

bpy.types.Event
---------------

Added
^^^^^

* :class:`bpy.types.Event.is_mouse_absolute`

bpy.types.FCurve
----------------

Added
^^^^^

* :class:`bpy.types.FCurve.auto_smoothing`
* :class:`bpy.types.FCurve.is_empty`

bpy.types.FreestyleLineSet
--------------------------

Added
^^^^^

* :class:`bpy.types.FreestyleLineSet.collection`
* :class:`bpy.types.FreestyleLineSet.collection_negation`
* :class:`bpy.types.FreestyleLineSet.select_by_collection`

Removed
^^^^^^^

* **group**
* **group_negation**
* **select_by_group**

bpy.types.GPUFXSettings
-----------------------

Removed
^^^^^^^

* **dof**
* **use_dof**

bpy.types.GPencilFrames
-----------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.GPencilFrames.new` (frame_number, active), *was (frame_number)*

bpy.types.GPencilLayer
----------------------

Added
^^^^^

* :class:`bpy.types.GPencilLayer.annotation_hide`
* :class:`bpy.types.GPencilLayer.blend_mode`
* :class:`bpy.types.GPencilLayer.channel_color`
* :class:`bpy.types.GPencilLayer.color`
* :class:`bpy.types.GPencilLayer.lock_material`
* :class:`bpy.types.GPencilLayer.mask_layer`
* :class:`bpy.types.GPencilLayer.pass_index`
* :class:`bpy.types.GPencilLayer.thickness`
* :class:`bpy.types.GPencilLayer.use_annotation_onion_skinning`
* :class:`bpy.types.GPencilLayer.use_solo_mode`
* :class:`bpy.types.GPencilLayer.viewlayer_render`

Removed
^^^^^^^

* **unlock_color**
* **use_ghost_custom_colors**
* **use_ghosts_always**
* **use_volumetric_strokes**

Renamed
^^^^^^^

* **after_color** -> :class:`bpy.types.GPencilLayer.annotation_onion_after_color`
* **before_color** -> :class:`bpy.types.GPencilLayer.annotation_onion_before_color`
* **ghost_after_range** -> :class:`bpy.types.GPencilLayer.annotation_onion_after_range`
* **ghost_before_range** -> :class:`bpy.types.GPencilLayer.annotation_onion_before_range`
* **show_x_ray** -> :class:`bpy.types.GPencilLayer.show_in_front`

bpy.types.GPencilSculptBrush
----------------------------

Added
^^^^^

* :class:`bpy.types.GPencilSculptBrush.cursor_color_add`
* :class:`bpy.types.GPencilSculptBrush.cursor_color_sub`
* :class:`bpy.types.GPencilSculptBrush.use_cursor`
* :class:`bpy.types.GPencilSculptBrush.use_pressure_radius`
* :class:`bpy.types.GPencilSculptBrush.weight`

Renamed
^^^^^^^

* **affect_pressure** -> :class:`bpy.types.GPencilSculptBrush.use_edit_pressure`

bpy.types.GPencilSculptSettings
-------------------------------

Added
^^^^^

* :class:`bpy.types.GPencilSculptSettings.guide`
* :class:`bpy.types.GPencilSculptSettings.intersection_threshold`
* :class:`bpy.types.GPencilSculptSettings.lock_axis`
* :class:`bpy.types.GPencilSculptSettings.multiframe_falloff_curve`
* :class:`bpy.types.GPencilSculptSettings.thickness_primitive_curve`
* :class:`bpy.types.GPencilSculptSettings.use_edit_uv`
* :class:`bpy.types.GPencilSculptSettings.use_multiframe_falloff`
* :class:`bpy.types.GPencilSculptSettings.use_thickness_curve`
* :class:`bpy.types.GPencilSculptSettings.weight_tool`

Removed
^^^^^^^

* **lockaxis**
* **selection_alpha**

Renamed
^^^^^^^

* **affect_position** -> :class:`bpy.types.GPencilSculptSettings.use_edit_position`
* **affect_strength** -> :class:`bpy.types.GPencilSculptSettings.use_edit_strength`
* **affect_thickness** -> :class:`bpy.types.GPencilSculptSettings.use_edit_thickness`
* **tool** -> :class:`bpy.types.GPencilSculptSettings.sculpt_tool`

bpy.types.GPencilStroke
-----------------------

Added
^^^^^

* :class:`bpy.types.GPencilStroke.end_cap_mode`
* :class:`bpy.types.GPencilStroke.gradient_factor`
* :class:`bpy.types.GPencilStroke.gradient_shape`
* :class:`bpy.types.GPencilStroke.groups`
* :class:`bpy.types.GPencilStroke.is_nofill_stroke`
* :class:`bpy.types.GPencilStroke.material_index`
* :class:`bpy.types.GPencilStroke.start_cap_mode`

Removed
^^^^^^^

* **color**
* **colorname**

Renamed
^^^^^^^

* **draw_mode** -> :class:`bpy.types.GPencilStroke.display_mode`

bpy.types.GPencilStrokePoint
----------------------------

Added
^^^^^

* :class:`bpy.types.GPencilStrokePoint.uv_factor`
* :class:`bpy.types.GPencilStrokePoint.uv_rotation`

bpy.types.GPencilStrokes
------------------------

Added
^^^^^

* :class:`bpy.types.GPencilStrokes.close`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.GPencilStrokes.new` (), *was (colorname)*

bpy.types.GPencilTriangle
-------------------------

Added
^^^^^

* :class:`bpy.types.GPencilTriangle.uv1`
* :class:`bpy.types.GPencilTriangle.uv2`
* :class:`bpy.types.GPencilTriangle.uv3`

bpy.types.GreasePencilLayers
----------------------------

Added
^^^^^

* :class:`bpy.types.GreasePencilLayers.active_note`
* :class:`bpy.types.GreasePencilLayers.move`

bpy.types.Header
----------------

Added
^^^^^

* :class:`bpy.types.Header.bl_region_type`

bpy.types.ID
------------

Added
^^^^^

* :class:`bpy.types.ID.evaluated_get`
* :class:`bpy.types.ID.is_evaluated`
* :class:`bpy.types.ID.name_full`
* :class:`bpy.types.ID.original`
* :class:`bpy.types.ID.override_create`
* :class:`bpy.types.ID.override_library`

Removed
^^^^^^^

* **is_updated**
* **is_updated_data**

bpy.types.Armature
------------------

Removed
^^^^^^^

* **deform_method**
* **ghost_frame_end**
* **ghost_frame_start**
* **ghost_size**
* **ghost_step**
* **ghost_type**
* **show_only_ghost_selected**
* **use_auto_ik**
* **use_deform_delay**

Renamed
^^^^^^^

* **draw_type** -> :class:`bpy.types.Armature.display_type`

bpy.types.Brush
---------------

Added
^^^^^

* :class:`bpy.types.Brush.falloff_angle`
* :class:`bpy.types.Brush.gpencil_settings`
* :class:`bpy.types.Brush.gpencil_tool`
* :class:`bpy.types.Brush.topology_rake_factor`
* :class:`bpy.types.Brush.use_frontface_falloff`
* :class:`bpy.types.Brush.use_paint_grease_pencil`
* :class:`bpy.types.Brush.use_paint_uv_sculpt`
* :class:`bpy.types.Brush.use_projected`
* :class:`bpy.types.Brush.uv_sculpt_tool`
* :class:`bpy.types.Brush.vertex_paint_capabilities`
* :class:`bpy.types.Brush.weight_paint_capabilities`
* :class:`bpy.types.Brush.weight_tool`

bpy.types.CacheFile
-------------------

Added
^^^^^

* :class:`bpy.types.CacheFile.frame_offset`

bpy.types.Camera
----------------

Added
^^^^^

* :class:`bpy.types.Camera.background_images`
* :class:`bpy.types.Camera.display_size`
* :class:`bpy.types.Camera.show_background_images`
* :class:`bpy.types.Camera.show_composition_center`
* :class:`bpy.types.Camera.show_composition_center_diagonal`
* :class:`bpy.types.Camera.show_composition_golden`
* :class:`bpy.types.Camera.show_composition_golden_tria_a`
* :class:`bpy.types.Camera.show_composition_golden_tria_b`
* :class:`bpy.types.Camera.show_composition_harmony_tri_a`
* :class:`bpy.types.Camera.show_composition_harmony_tri_b`
* :class:`bpy.types.Camera.show_composition_thirds`

Removed
^^^^^^^

* **dof_distance**
* **dof_object**
* **draw_size**
* **show_guide**

Renamed
^^^^^^^

* **gpu_dof** -> :class:`bpy.types.Camera.dof`

bpy.types.Curve
---------------

Added
^^^^^

* :class:`bpy.types.Curve.update_gpu_tag`

Removed
^^^^^^^

* **show_handles**
* **show_normal_face**

bpy.types.TextCurve
-------------------

Added
^^^^^

* :class:`bpy.types.TextCurve.overflow`

bpy.types.GreasePencil
----------------------

Added
^^^^^

* :class:`bpy.types.GreasePencil.after_color`
* :class:`bpy.types.GreasePencil.before_color`
* :class:`bpy.types.GreasePencil.edit_line_color`
* :class:`bpy.types.GreasePencil.ghost_after_range`
* :class:`bpy.types.GreasePencil.ghost_before_range`
* :class:`bpy.types.GreasePencil.grid`
* :class:`bpy.types.GreasePencil.is_annotation`
* :class:`bpy.types.GreasePencil.is_stroke_paint_mode`
* :class:`bpy.types.GreasePencil.is_stroke_sculpt_mode`
* :class:`bpy.types.GreasePencil.is_stroke_weight_mode`
* :class:`bpy.types.GreasePencil.onion_factor`
* :class:`bpy.types.GreasePencil.onion_keyframe_type`
* :class:`bpy.types.GreasePencil.onion_mode`
* :class:`bpy.types.GreasePencil.pixel_factor`
* :class:`bpy.types.GreasePencil.stroke_depth_order`
* :class:`bpy.types.GreasePencil.stroke_thickness_space`
* :class:`bpy.types.GreasePencil.use_adaptive_uv`
* :class:`bpy.types.GreasePencil.use_autolock_layers`
* :class:`bpy.types.GreasePencil.use_force_fill_recalc`
* :class:`bpy.types.GreasePencil.use_ghost_custom_colors`
* :class:`bpy.types.GreasePencil.use_ghosts_always`
* :class:`bpy.types.GreasePencil.use_multiedit`
* :class:`bpy.types.GreasePencil.use_onion_fade`
* :class:`bpy.types.GreasePencil.use_onion_loop`
* :class:`bpy.types.GreasePencil.zdepth_offset`

Renamed
^^^^^^^

* **palettes** -> :class:`bpy.types.GreasePencil.materials`

bpy.types.Image
---------------

Removed
^^^^^^^

* **field_order**
* **fps**
* **frame_end**
* **frame_start**
* **mapping**
* **tiles_x**
* **tiles_y**
* **use_alpha**
* **use_animation**
* **use_clamp_x**
* **use_clamp_y**
* **use_fields**
* **use_tiles**

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Image.gl_load` (frame), *was (frame, filter, mag)*
* :class:`bpy.types.Image.gl_touch` (frame), *was (frame, filter, mag)*
* :class:`bpy.types.Image.pack` (data, data_len), *was (as_png, data, data_len)*

bpy.types.Lattice
-----------------

Added
^^^^^

* :class:`bpy.types.Lattice.update_gpu_tag`

bpy.types.Library
-----------------

Added
^^^^^

* :class:`bpy.types.Library.version`

bpy.types.Material
------------------

Added
^^^^^

* :class:`bpy.types.Material.alpha_threshold`
* :class:`bpy.types.Material.blend_method`
* :class:`bpy.types.Material.grease_pencil`
* :class:`bpy.types.Material.is_grease_pencil`
* :class:`bpy.types.Material.metallic`
* :class:`bpy.types.Material.refraction_depth`
* :class:`bpy.types.Material.shadow_method`
* :class:`bpy.types.Material.show_transparent_back`
* :class:`bpy.types.Material.use_backface_culling`
* :class:`bpy.types.Material.use_preview_world`
* :class:`bpy.types.Material.use_screen_refraction`
* :class:`bpy.types.Material.use_sss_translucency`

Removed
^^^^^^^

* **active_node_material**
* **active_texture**
* **active_texture_index**
* **alpha**
* **ambient**
* **darkness**
* **diffuse_fresnel**
* **diffuse_fresnel_factor**
* **diffuse_intensity**
* **diffuse_ramp**
* **diffuse_ramp_blend**
* **diffuse_ramp_factor**
* **diffuse_ramp_input**
* **diffuse_shader**
* **diffuse_toon_size**
* **diffuse_toon_smooth**
* **emit**
* **game_settings**
* **halo**
* **invert_z**
* **light_group**
* **mirror_color**
* **offset_z**
* **physics**
* **raytrace_mirror**
* **raytrace_transparency**
* **shadow_buffer_bias**
* **shadow_cast_alpha**
* **shadow_only_type**
* **shadow_ray_bias**
* **specular_alpha**
* **specular_hardness**
* **specular_ior**
* **specular_ramp**
* **specular_ramp_blend**
* **specular_ramp_factor**
* **specular_ramp_input**
* **specular_shader**
* **specular_slope**
* **specular_toon_size**
* **specular_toon_smooth**
* **strand**
* **subsurface_scattering**
* **texture_slots**
* **translucency**
* **transparency_method**
* **type**
* **use_cast_approximate**
* **use_cast_buffer_shadows**
* **use_cast_shadows**
* **use_cast_shadows_only**
* **use_cubic**
* **use_diffuse_ramp**
* **use_face_texture**
* **use_face_texture_alpha**
* **use_full_oversampling**
* **use_light_group_exclusive**
* **use_light_group_local**
* **use_mist**
* **use_object_color**
* **use_only_shadow**
* **use_ray_shadow_bias**
* **use_raytrace**
* **use_shadeless**
* **use_shadows**
* **use_sky**
* **use_specular_ramp**
* **use_tangent_shading**
* **use_textures**
* **use_transparency**
* **use_transparent_shadows**
* **use_uv_project**
* **use_vertex_color_light**
* **use_vertex_color_paint**
* **volume**

bpy.types.Mesh
--------------

Added
^^^^^

* :class:`bpy.types.Mesh.calc_loop_triangles`
* :class:`bpy.types.Mesh.count_selected_items`
* :class:`bpy.types.Mesh.face_maps`
* :class:`bpy.types.Mesh.loop_triangles`
* :class:`bpy.types.Mesh.update_gpu_tag`

Removed
^^^^^^^

* **calc_tessface**
* **show_double_sided**
* **show_edge_bevel_weight**
* **show_edge_crease**
* **show_edge_seams**
* **show_edge_sharp**
* **show_edges**
* **show_extra_edge_angle**
* **show_extra_edge_length**
* **show_extra_face_angle**
* **show_extra_face_area**
* **show_extra_indices**
* **show_faces**
* **show_freestyle_edge_marks**
* **show_freestyle_face_marks**
* **show_normal_face**
* **show_normal_loop**
* **show_normal_vertex**
* **show_statvis**
* **show_weight**
* **tessface_uv_textures**
* **tessface_vertex_colors**
* **tessfaces**
* **uv_texture_clone**
* **uv_texture_clone_index**
* **uv_texture_stencil**
* **uv_texture_stencil_index**
* **uv_textures**

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Mesh.update` (calc_edges, calc_edges_loose, calc_loop_triangles), *was (calc_edges, calc_tessface)*

bpy.types.MetaBall
------------------

Added
^^^^^

* :class:`bpy.types.MetaBall.update_gpu_tag`

bpy.types.MovieClip
-------------------

Added
^^^^^

* :class:`bpy.types.MovieClip.fps`
* :class:`bpy.types.MovieClip.metadata`

bpy.types.ShaderNodeTree
------------------------

Added
^^^^^

* :class:`bpy.types.ShaderNodeTree.get_output_node`

bpy.types.Object
----------------

Added
^^^^^

* :class:`bpy.types.Object.display`
* :class:`bpy.types.Object.display_type`
* :class:`bpy.types.Object.empty_image_depth`
* :class:`bpy.types.Object.empty_image_side`
* :class:`bpy.types.Object.face_maps`
* :class:`bpy.types.Object.grease_pencil_modifiers`
* :class:`bpy.types.Object.hide_get`
* :class:`bpy.types.Object.hide_set`
* :class:`bpy.types.Object.hide_viewport`
* :class:`bpy.types.Object.holdout_get`
* :class:`bpy.types.Object.indirect_only_get`
* :class:`bpy.types.Object.instance_collection`
* :class:`bpy.types.Object.instance_faces_scale`
* :class:`bpy.types.Object.instance_type`
* :class:`bpy.types.Object.is_from_instancer`
* :class:`bpy.types.Object.is_from_set`
* :class:`bpy.types.Object.local_view_get`
* :class:`bpy.types.Object.local_view_set`
* :class:`bpy.types.Object.proxy_collection`
* :class:`bpy.types.Object.select_get`
* :class:`bpy.types.Object.select_set`
* :class:`bpy.types.Object.shader_effects`
* :class:`bpy.types.Object.show_empty_image_orthographic`
* :class:`bpy.types.Object.show_empty_image_perspective`
* :class:`bpy.types.Object.show_in_front`
* :class:`bpy.types.Object.show_instancer_for_render`
* :class:`bpy.types.Object.show_instancer_for_viewport`
* :class:`bpy.types.Object.use_empty_image_alpha`
* :class:`bpy.types.Object.use_instance_faces_scale`
* :class:`bpy.types.Object.use_instance_vertices_rotation`
* :class:`bpy.types.Object.users_collection`
* :class:`bpy.types.Object.visible_get`

Removed
^^^^^^^

* **draw_type**
* **dupli_faces_scale**
* **dupli_frames_end**
* **dupli_frames_off**
* **dupli_frames_on**
* **dupli_frames_start**
* **dupli_group**
* **dupli_list**
* **dupli_list_create**
* **dupli_type**
* **game**
* **grease_pencil**
* **hide**
* **is_visible**
* **layers**
* **layers_local_view**
* **lod_levels**
* **proxy_group**
* **select**
* **show_x_ray**
* **slow_parent_offset**
* **use_dupli_faces_scale**
* **use_dupli_frames_speed**
* **use_dupli_vertices_rotation**
* **use_extra_recalc_data**
* **use_extra_recalc_object**
* **use_slow_parent**
* **users_group**

Renamed
^^^^^^^

* **draw_bounds_type** -> :class:`bpy.types.Object.display_bounds_type`
* **dupli_list_clear** -> :class:`bpy.types.Object.shape_key_clear`
* **dupli_list_clear** -> :class:`bpy.types.Object.to_mesh_clear`
* **empty_draw_size** -> :class:`bpy.types.Object.empty_display_size`
* **empty_draw_type** -> :class:`bpy.types.Object.empty_display_type`
* **is_duplicator** -> :class:`bpy.types.Object.is_instancer`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Object.calc_matrix_camera` (depsgraph, x, y, scale_x, scale_y), *was (x, y, scale_x, scale_y)*
* :class:`bpy.types.Object.camera_fit_coords` (depsgraph, coordinates), *was (scene, coordinates)*
* :class:`bpy.types.Object.closest_point_on_mesh` (origin, distance, depsgraph), *was (origin, distance)*
* :class:`bpy.types.Object.ray_cast` (origin, direction, distance, depsgraph), *was (origin, direction, distance)*
* :class:`bpy.types.Object.to_mesh` (preserve_all_data_layers, depsgraph), *was (scene, apply_modifiers, settings, calc_tessface, calc_undeformed)*

bpy.types.ParticleSettings
--------------------------

Added
^^^^^

* :class:`bpy.types.ParticleSettings.collision_collection`
* :class:`bpy.types.ParticleSettings.display_size`
* :class:`bpy.types.ParticleSettings.instance_collection`
* :class:`bpy.types.ParticleSettings.instance_weights`
* :class:`bpy.types.ParticleSettings.radius_scale`
* :class:`bpy.types.ParticleSettings.root_radius`
* :class:`bpy.types.ParticleSettings.shape`
* :class:`bpy.types.ParticleSettings.tip_radius`
* :class:`bpy.types.ParticleSettings.twist`
* :class:`bpy.types.ParticleSettings.twist_curve`
* :class:`bpy.types.ParticleSettings.use_close_tip`
* :class:`bpy.types.ParticleSettings.use_twist_curve`
* :class:`bpy.types.ParticleSettings.use_whole_collection`

Removed
^^^^^^^

* **billboard_align**
* **billboard_animation**
* **billboard_object**
* **billboard_offset**
* **billboard_offset_split**
* **billboard_size**
* **billboard_tilt**
* **billboard_tilt_random**
* **billboard_uv_split**
* **billboard_velocity_head**
* **billboard_velocity_tail**
* **collision_group**
* **cycles**
* **draw_size**
* **dupli_group**
* **dupli_weights**
* **lock_billboard**
* **simplify_rate**
* **simplify_refsize**
* **simplify_transition**
* **simplify_viewport**
* **use_render_emitter**
* **use_simplify**
* **use_simplify_viewport**
* **use_whole_group**

Renamed
^^^^^^^

* **active_dupliweight** -> :class:`bpy.types.ParticleSettings.active_instanceweight`
* **active_dupliweight_index** -> :class:`bpy.types.ParticleSettings.active_instanceweight_index`
* **draw_color** -> :class:`bpy.types.ParticleSettings.display_color`
* **draw_method** -> :class:`bpy.types.ParticleSettings.display_method`
* **draw_percentage** -> :class:`bpy.types.ParticleSettings.display_percentage`
* **draw_step** -> :class:`bpy.types.ParticleSettings.display_step`
* **dupli_object** -> :class:`bpy.types.ParticleSettings.instance_object`
* **regrow_hair** -> :class:`bpy.types.ParticleSettings.use_regrow_hair`
* **use_global_dupli** -> :class:`bpy.types.ParticleSettings.use_global_instance`
* **use_group_count** -> :class:`bpy.types.ParticleSettings.use_collection_count`
* **use_group_pick_random** -> :class:`bpy.types.ParticleSettings.use_collection_pick_random`
* **use_rotation_dupli** -> :class:`bpy.types.ParticleSettings.use_rotation_instance`
* **use_scale_dupli** -> :class:`bpy.types.ParticleSettings.use_scale_instance`

bpy.types.Scene
---------------

Added
^^^^^

* :class:`bpy.types.Scene.collection`
* :class:`bpy.types.Scene.display`
* :class:`bpy.types.Scene.eevee`

Removed
^^^^^^^

* **active_layer**
* **collada_export**
* **cursor_location**
* **depsgraph**
* **layers**
* **orientations**
* **update**
* **use_audio_sync**
* **use_frame_drop**

Renamed
^^^^^^^

* **game_settings** -> :class:`bpy.types.Scene.cursor`
* **object_bases** -> :class:`bpy.types.Scene.transform_orientation_slots`
* **object_bases** -> :class:`bpy.types.Scene.view_layers`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Scene.ray_cast` (view_layer, origin, direction, distance), *was (origin, direction, distance)*
* :class:`bpy.types.Scene.statistics` (view_layer), *was ()*

bpy.types.Screen
----------------

Added
^^^^^

* :class:`bpy.types.Screen.is_temporary`
* :class:`bpy.types.Screen.show_statusbar`

Removed
^^^^^^^

* **scene**

bpy.types.Speaker
-----------------

Removed
^^^^^^^

* **relative**

bpy.types.Text
--------------

Added
^^^^^

* :class:`bpy.types.Text.as_module`

Removed
^^^^^^^

* **users_logic**

bpy.types.ImageTexture
----------------------

Removed
^^^^^^^

* **use_derivative_map**

Renamed
^^^^^^^

* **filter_probes** -> :class:`bpy.types.ImageTexture.filter_lightprobes`

bpy.types.WindowManager
-----------------------

Added
^^^^^

* :class:`bpy.types.WindowManager.gizmo_group_type_ensure`
* :class:`bpy.types.WindowManager.gizmo_group_type_unlink_delayed`
* :class:`bpy.types.WindowManager.operator_properties_last`
* :class:`bpy.types.WindowManager.popover`
* :class:`bpy.types.WindowManager.popover_begin__internal`
* :class:`bpy.types.WindowManager.popover_end__internal`
* :class:`bpy.types.WindowManager.preset_name`
* :class:`bpy.types.WindowManager.print_undo_steps`

Renamed
^^^^^^^

* **pupmenu_begin__internal** -> :class:`bpy.types.WindowManager.popmenu_begin__internal`
* **pupmenu_end__internal** -> :class:`bpy.types.WindowManager.popmenu_end__internal`

bpy.types.World
---------------

Added
^^^^^

* :class:`bpy.types.World.color`

Removed
^^^^^^^

* **active_texture**
* **active_texture_index**
* **ambient_color**
* **color_range**
* **exposure**
* **horizon_color**
* **texture_slots**
* **use_sky_blend**
* **use_sky_paper**
* **use_sky_real**
* **zenith_color**

bpy.types.ImageUser
-------------------

Removed
^^^^^^^

* **fields_per_frame**

bpy.types.KeyConfig
-------------------

Added
^^^^^

* :class:`bpy.types.KeyConfig.preferences`

bpy.types.KeyConfigurations
---------------------------

Added
^^^^^

* :class:`bpy.types.KeyConfigurations.find_item_from_operator`
* :class:`bpy.types.KeyConfigurations.update`

bpy.types.KeyMap
----------------

Added
^^^^^

* :class:`bpy.types.KeyMap.bl_owner_id`

bpy.types.KeyMapItem
--------------------

Added
^^^^^

* :class:`bpy.types.KeyMapItem.to_string`

bpy.types.KeyMapItems
---------------------

Added
^^^^^

* :class:`bpy.types.KeyMapItems.find_from_operator`
* :class:`bpy.types.KeyMapItems.new_from_item`

bpy.types.KeyMaps
-----------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.KeyMaps.new` (name, space_type, region_type, modal, tool), *was (name, space_type, region_type, modal)*

bpy.types.LoopColors
--------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.LoopColors.new` (name, do_init), *was (name)*

bpy.types.Menu
--------------

Added
^^^^^

* :class:`bpy.types.Menu.bl_owner_id`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Menu.draw_preset` (self, _context), *was (self, context)*
* :class:`bpy.types.Menu.path_menu` (self, searchpaths, operator, props_default, prop_filepath, filter_ext, filter_path, display_name, add_operator), *was (self, searchpaths, operator, props_default, prop_filepath, filter_ext, filter_path, display_name)*

bpy.types.MeshUVLoopLayer
-------------------------

Added
^^^^^

* :class:`bpy.types.MeshUVLoopLayer.active`
* :class:`bpy.types.MeshUVLoopLayer.active_clone`
* :class:`bpy.types.MeshUVLoopLayer.active_render`

bpy.types.ArrayModifier
-----------------------

Added
^^^^^

* :class:`bpy.types.ArrayModifier.offset_u`
* :class:`bpy.types.ArrayModifier.offset_v`

bpy.types.BevelModifier
-----------------------

Added
^^^^^

* :class:`bpy.types.BevelModifier.face_strength_mode`
* :class:`bpy.types.BevelModifier.harden_normals`
* :class:`bpy.types.BevelModifier.mark_seam`
* :class:`bpy.types.BevelModifier.mark_sharp`
* :class:`bpy.types.BevelModifier.miter_inner`
* :class:`bpy.types.BevelModifier.miter_outer`
* :class:`bpy.types.BevelModifier.spread`
* :class:`bpy.types.BevelModifier.width_pct`

Removed
^^^^^^^

* **edge_weight_method**

bpy.types.BooleanModifier
-------------------------

Removed
^^^^^^^

* **solver**

bpy.types.HookModifier
----------------------

Added
^^^^^

* :class:`bpy.types.HookModifier.vertex_indices`
* :class:`bpy.types.HookModifier.vertex_indices_set`

bpy.types.MaskModifier
----------------------

Added
^^^^^

* :class:`bpy.types.MaskModifier.threshold`

bpy.types.MirrorModifier
------------------------

Added
^^^^^

* :class:`bpy.types.MirrorModifier.offset_u`
* :class:`bpy.types.MirrorModifier.offset_v`
* :class:`bpy.types.MirrorModifier.use_axis`
* :class:`bpy.types.MirrorModifier.use_bisect_axis`
* :class:`bpy.types.MirrorModifier.use_bisect_flip_axis`

Removed
^^^^^^^

* **use_x**
* **use_y**
* **use_z**

bpy.types.MultiresModifier
--------------------------

Added
^^^^^

* :class:`bpy.types.MultiresModifier.quality`
* :class:`bpy.types.MultiresModifier.use_creases`
* :class:`bpy.types.MultiresModifier.uv_smooth`

Removed
^^^^^^^

* **use_subsurf_uv**

bpy.types.NormalEditModifier
----------------------------

Added
^^^^^

* :class:`bpy.types.NormalEditModifier.no_polynors_fix`

bpy.types.ParticleInstanceModifier
----------------------------------

Added
^^^^^

* :class:`bpy.types.ParticleInstanceModifier.index_layer_name`
* :class:`bpy.types.ParticleInstanceModifier.particle_amount`
* :class:`bpy.types.ParticleInstanceModifier.particle_offset`
* :class:`bpy.types.ParticleInstanceModifier.particle_system`
* :class:`bpy.types.ParticleInstanceModifier.random_rotation`
* :class:`bpy.types.ParticleInstanceModifier.rotation`
* :class:`bpy.types.ParticleInstanceModifier.space`
* :class:`bpy.types.ParticleInstanceModifier.value_layer_name`

bpy.types.ShrinkwrapModifier
----------------------------

Added
^^^^^

* :class:`bpy.types.ShrinkwrapModifier.use_invert_cull`
* :class:`bpy.types.ShrinkwrapModifier.wrap_mode`

Removed
^^^^^^^

* **use_keep_above_surface**

bpy.types.SimpleDeformModifier
------------------------------

Added
^^^^^

* :class:`bpy.types.SimpleDeformModifier.deform_axis`
* :class:`bpy.types.SimpleDeformModifier.lock_z`

bpy.types.SubsurfModifier
-------------------------

Added
^^^^^

* :class:`bpy.types.SubsurfModifier.quality`
* :class:`bpy.types.SubsurfModifier.use_creases`
* :class:`bpy.types.SubsurfModifier.uv_smooth`

Removed
^^^^^^^

* **use_opensubdiv**
* **use_subsurf_uv**

bpy.types.TriangulateModifier
-----------------------------

Added
^^^^^

* :class:`bpy.types.TriangulateModifier.keep_custom_normals`
* :class:`bpy.types.TriangulateModifier.min_vertices`

bpy.types.UVProjectModifier
---------------------------

Removed
^^^^^^^

* **image**
* **use_image_override**

bpy.types.Node
--------------

Removed
^^^^^^^

* **shading_compatibility**

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Node.poll` (_ntree), *was (ntree)*

bpy.types.NodeCustomGroup
-------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.NodeCustomGroup.poll` (_ntree), *was (ntree)*

bpy.types.CompositorNodeMask
----------------------------

Removed
^^^^^^^

* **use_antialiasing**

bpy.types.ShaderNodeAmbientOcclusion
------------------------------------

Added
^^^^^

* :class:`bpy.types.ShaderNodeAmbientOcclusion.inside`
* :class:`bpy.types.ShaderNodeAmbientOcclusion.only_local`
* :class:`bpy.types.ShaderNodeAmbientOcclusion.samples`

bpy.types.ShaderNodeBsdfPrincipled
----------------------------------

Added
^^^^^

* :class:`bpy.types.ShaderNodeBsdfPrincipled.subsurface_method`

bpy.types.ShaderNodeOutputLineStyle
-----------------------------------

Added
^^^^^

* :class:`bpy.types.ShaderNodeOutputLineStyle.target`

bpy.types.ShaderNodeOutputMaterial
----------------------------------

Added
^^^^^

* :class:`bpy.types.ShaderNodeOutputMaterial.target`

bpy.types.ShaderNodeOutputWorld
-------------------------------

Added
^^^^^

* :class:`bpy.types.ShaderNodeOutputWorld.target`

bpy.types.ShaderNodeTexCoord
----------------------------

Renamed
^^^^^^^

* **from_dupli** -> :class:`bpy.types.ShaderNodeTexCoord.from_instancer`

bpy.types.ShaderNodeTexEnvironment
----------------------------------

Removed
^^^^^^^

* **color_space**

bpy.types.ShaderNodeTexImage
----------------------------

Removed
^^^^^^^

* **color_space**

bpy.types.ShaderNodeTexPointDensity
-----------------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.ShaderNodeTexPointDensity.cache_point_density` (depsgraph), *was (scene, settings)*
* :class:`bpy.types.ShaderNodeTexPointDensity.calc_point_density` (depsgraph), *was (scene, settings)*
* :class:`bpy.types.ShaderNodeTexPointDensity.calc_point_density_minmax` (depsgraph), *was (scene, settings)*

bpy.types.ShaderNodeTexVoronoi
------------------------------

Added
^^^^^

* :class:`bpy.types.ShaderNodeTexVoronoi.distance`
* :class:`bpy.types.ShaderNodeTexVoronoi.feature`

bpy.types.ShaderNodeUVMap
-------------------------

Renamed
^^^^^^^

* **from_dupli** -> :class:`bpy.types.ShaderNodeUVMap.from_instancer`

bpy.types.NodeSocket
--------------------

Added
^^^^^

* :class:`bpy.types.NodeSocket.draw_shape`

bpy.types.ObjectBase
--------------------

Added
^^^^^

* :class:`bpy.types.ObjectBase.hide_viewport`

Removed
^^^^^^^

* **layers**
* **layers_from_view**
* **layers_local_view**

bpy.types.OperatorOptions
-------------------------

Added
^^^^^

* :class:`bpy.types.OperatorOptions.is_repeat`
* :class:`bpy.types.OperatorOptions.is_repeat_last`

bpy.types.Paint
---------------

Added
^^^^^

* :class:`bpy.types.Paint.tool_slots`

bpy.types.ImagePaint
--------------------

Added
^^^^^

* :class:`bpy.types.ImagePaint.interpolation`

bpy.types.Sculpt
----------------

Added
^^^^^

* :class:`bpy.types.Sculpt.show_mask`

bpy.types.VertexPaint
---------------------

Added
^^^^^

* :class:`bpy.types.VertexPaint.radial_symmetry`

Removed
^^^^^^^

* **use_normal**
* **use_spray**

bpy.types.Panel
---------------

Added
^^^^^

* :class:`bpy.types.Panel.bl_order`
* :class:`bpy.types.Panel.bl_owner_id`
* :class:`bpy.types.Panel.bl_parent_id`
* :class:`bpy.types.Panel.bl_ui_units_x`
* :class:`bpy.types.Panel.draw_header_preset`
* :class:`bpy.types.Panel.is_popover`

bpy.types.ParticleEdit
----------------------

Renamed
^^^^^^^

* **draw_step** -> :class:`bpy.types.ParticleEdit.display_step`

bpy.types.ParticleSystem
------------------------

Added
^^^^^

* :class:`bpy.types.ParticleSystem.invert_vertex_group_twist`
* :class:`bpy.types.ParticleSystem.vertex_group_twist`

Removed
^^^^^^^

* **billboard_normal_uv**
* **billboard_split_uv**
* **billboard_time_index_uv**
* **set_resolution**

bpy.types.Pose
--------------

Added
^^^^^

* :class:`bpy.types.Pose.use_auto_ik`
* :class:`bpy.types.Pose.use_mirror_relative`
* :class:`bpy.types.Pose.use_mirror_x`

bpy.types.PoseBone
------------------

Added
^^^^^

* :class:`bpy.types.PoseBone.bbone_easein`
* :class:`bpy.types.PoseBone.bbone_easeout`
* :class:`bpy.types.PoseBone.bbone_scaleinx`
* :class:`bpy.types.PoseBone.bbone_scaleiny`
* :class:`bpy.types.PoseBone.bbone_scaleoutx`
* :class:`bpy.types.PoseBone.bbone_scaleouty`
* :class:`bpy.types.PoseBone.bbone_segment_matrix`
* :class:`bpy.types.PoseBone.compute_bbone_handles`

Removed
^^^^^^^

* **bbone_scalein**
* **bbone_scaleout**
* **use_bbone_custom_handles**
* **use_bbone_relative_end_handle**
* **use_bbone_relative_start_handle**

bpy.types.Property
------------------

Added
^^^^^

* :class:`bpy.types.Property.is_overridable`
* :class:`bpy.types.Property.tags`

bpy.types.BoolProperty
----------------------

Added
^^^^^

* :class:`bpy.types.BoolProperty.array_dimensions`

bpy.types.FloatProperty
-----------------------

Added
^^^^^

* :class:`bpy.types.FloatProperty.array_dimensions`

bpy.types.IntProperty
---------------------

Added
^^^^^

* :class:`bpy.types.IntProperty.array_dimensions`

bpy.types.Region
----------------

Added
^^^^^

* :class:`bpy.types.Region.alignment`

Removed
^^^^^^^

* **id**

bpy.types.RegionView3D
----------------------

Added
^^^^^

* :class:`bpy.types.RegionView3D.clip_planes`
* :class:`bpy.types.RegionView3D.is_orthographic_side_view`
* :class:`bpy.types.RegionView3D.use_clip_planes`

bpy.types.RenderEngine
----------------------

Added
^^^^^

* :class:`bpy.types.RenderEngine.bl_use_eevee_viewport`
* :class:`bpy.types.RenderEngine.free_blender_memory`
* :class:`bpy.types.RenderEngine.get_preview_pixel_size`
* :class:`bpy.types.RenderEngine.get_result`

Removed
^^^^^^^

* **bl_use_exclude_layers**
* **bl_use_shading_nodes**
* **bl_use_texture_preview**

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.RenderEngine.bake` (depsgraph, object, pass_type, pass_filter, object_id, pixel_array, num_pixels, depth, result), *was (scene, object, pass_type, pass_filter, object_id, pixel_array, num_pixels, depth, result)*
* :class:`bpy.types.RenderEngine.camera_model_matrix` (camera, use_spherical_stereo), *was (camera, use_spherical_stereo, r_model_matrix)*
* :class:`bpy.types.RenderEngine.register_pass` (scene, view_layer, name, channels, chanid, type), *was (scene, srl, name, channels, chanid, type)*
* :class:`bpy.types.RenderEngine.render` (depsgraph), *was (scene)*
* :class:`bpy.types.RenderEngine.update` (data, depsgraph), *was (data, scene)*
* :class:`bpy.types.RenderEngine.view_draw` (context, depsgraph), *was (context)*
* :class:`bpy.types.RenderEngine.view_update` (context, depsgraph), *was (context)*

bpy.types.RenderLayer
---------------------

Removed
^^^^^^^

* **exclude_ambient_occlusion**
* **exclude_emit**
* **exclude_environment**
* **exclude_indirect**
* **exclude_reflection**
* **exclude_refraction**
* **exclude_shadow**
* **exclude_specular**
* **layers**
* **layers_exclude**
* **layers_zmask**
* **light_override**
* **material_override**
* **use**
* **use_freestyle**
* **use_pass_color**
* **use_pass_diffuse**
* **use_pass_indirect**
* **use_pass_reflection**
* **use_pass_refraction**
* **use_pass_specular**

bpy.types.RenderResult
----------------------

Added
^^^^^

* :class:`bpy.types.RenderResult.stamp_data_add_field`

bpy.types.RenderSettings
------------------------

Added
^^^^^

* :class:`bpy.types.RenderSettings.film_transparent`
* :class:`bpy.types.RenderSettings.hair_subdiv`
* :class:`bpy.types.RenderSettings.hair_type`
* :class:`bpy.types.RenderSettings.preview_pixel_size`
* :class:`bpy.types.RenderSettings.simplify_gpencil`
* :class:`bpy.types.RenderSettings.simplify_gpencil_blend`
* :class:`bpy.types.RenderSettings.simplify_gpencil_onplay`
* :class:`bpy.types.RenderSettings.simplify_gpencil_remove_lines`
* :class:`bpy.types.RenderSettings.simplify_gpencil_shader_fx`
* :class:`bpy.types.RenderSettings.simplify_gpencil_view_fill`
* :class:`bpy.types.RenderSettings.simplify_gpencil_view_modifier`
* :class:`bpy.types.RenderSettings.use_sequencer_override_scene_strip`
* :class:`bpy.types.RenderSettings.use_simplify_smoke_highres`
* :class:`bpy.types.RenderSettings.use_stamp_frame_range`
* :class:`bpy.types.RenderSettings.use_stamp_hostname`

Removed
^^^^^^^

* **alpha_mode**
* **antialiasing_samples**
* **bake_aa_mode**
* **bake_distance**
* **bake_normal_space**
* **bake_quad_split**
* **edge_color**
* **edge_threshold**
* **field_order**
* **layers**
* **motion_blur_samples**
* **octree_resolution**
* **pixel_filter_type**
* **raytrace_method**
* **simplify_ao_sss**
* **simplify_shadow_samples**
* **use_antialiasing**
* **use_bake_antialiasing**
* **use_bake_normalize**
* **use_bake_to_vertex_color**
* **use_edge_enhance**
* **use_envmaps**
* **use_fields**
* **use_fields_still**
* **use_free_image_textures**
* **use_game_engine**
* **use_instances**
* **use_local_coords**
* **use_raytrace**
* **use_sequencer_gl_textured_solid**
* **use_shading_nodes**
* **use_shadows**
* **use_simplify_triangulate**
* **use_sss**
* **use_textures**
* **use_world_space_shading**

bpy.types.RenderSlot
--------------------

Added
^^^^^

* :class:`bpy.types.RenderSlot.clear`

bpy.types.RenderSlots
---------------------

Added
^^^^^

* :class:`bpy.types.RenderSlots.new`

bpy.types.RigidBodyConstraint
-----------------------------

Added
^^^^^

* :class:`bpy.types.RigidBodyConstraint.spring_type`

bpy.types.RigidBodyObject
-------------------------

Added
^^^^^

* :class:`bpy.types.RigidBodyObject.collision_collections`

Removed
^^^^^^^

* **collision_groups**

bpy.types.RigidBodyWorld
------------------------

Added
^^^^^

* :class:`bpy.types.RigidBodyWorld.collection`

Removed
^^^^^^^

* **group**

bpy.types.SPHFluidSettings
--------------------------

Renamed
^^^^^^^

* **factor_radius** -> :class:`bpy.types.SPHFluidSettings.use_factor_radius`
* **factor_repulsion** -> :class:`bpy.types.SPHFluidSettings.use_factor_repulsion`
* **factor_rest_length** -> :class:`bpy.types.SPHFluidSettings.use_factor_rest_length`
* **factor_stiff_viscosity** -> :class:`bpy.types.SPHFluidSettings.use_factor_stiff_viscosity`

bpy.types.SceneObjects
----------------------

Removed
^^^^^^^

* **active**
* **link**
* **unlink**

bpy.types.Sequence
------------------

Added
^^^^^

* :class:`bpy.types.Sequence.override_cache_settings`
* :class:`bpy.types.Sequence.use_cache_composite`
* :class:`bpy.types.Sequence.use_cache_preprocessed`
* :class:`bpy.types.Sequence.use_cache_raw`

bpy.types.EffectSequence
------------------------

Added
^^^^^

* :class:`bpy.types.EffectSequence.playback_direction`

Removed
^^^^^^^

* **use_reverse_frames**

bpy.types.SpeedControlSequence
------------------------------

Renamed
^^^^^^^

* **scale_to_length** -> :class:`bpy.types.SpeedControlSequence.use_scale_to_length`

bpy.types.TextSequence
----------------------

Added
^^^^^

* :class:`bpy.types.TextSequence.font`

bpy.types.ImageSequence
-----------------------

Added
^^^^^

* :class:`bpy.types.ImageSequence.playback_direction`

Removed
^^^^^^^

* **use_reverse_frames**

bpy.types.MaskSequence
----------------------

Added
^^^^^

* :class:`bpy.types.MaskSequence.playback_direction`

Removed
^^^^^^^

* **use_reverse_frames**

bpy.types.MetaSequence
----------------------

Added
^^^^^

* :class:`bpy.types.MetaSequence.playback_direction`

Removed
^^^^^^^

* **use_reverse_frames**

bpy.types.MovieClipSequence
---------------------------

Added
^^^^^

* :class:`bpy.types.MovieClipSequence.fps`
* :class:`bpy.types.MovieClipSequence.playback_direction`

Removed
^^^^^^^

* **use_reverse_frames**

bpy.types.MovieSequence
-----------------------

Added
^^^^^

* :class:`bpy.types.MovieSequence.fps`
* :class:`bpy.types.MovieSequence.metadata`
* :class:`bpy.types.MovieSequence.playback_direction`

Removed
^^^^^^^

* **use_reverse_frames**

bpy.types.SceneSequence
-----------------------

Added
^^^^^

* :class:`bpy.types.SceneSequence.fps`
* :class:`bpy.types.SceneSequence.playback_direction`
* :class:`bpy.types.SceneSequence.scene_input`

Removed
^^^^^^^

* **use_reverse_frames**
* **use_sequence**

bpy.types.SequenceEditor
------------------------

Added
^^^^^

* :class:`bpy.types.SequenceEditor.recycle_max_cost`
* :class:`bpy.types.SequenceEditor.show_cache`
* :class:`bpy.types.SequenceEditor.show_cache_composite`
* :class:`bpy.types.SequenceEditor.show_cache_final_out`
* :class:`bpy.types.SequenceEditor.show_cache_preprocessed`
* :class:`bpy.types.SequenceEditor.show_cache_raw`
* :class:`bpy.types.SequenceEditor.use_cache_composite`
* :class:`bpy.types.SequenceEditor.use_cache_final`
* :class:`bpy.types.SequenceEditor.use_cache_preprocessed`
* :class:`bpy.types.SequenceEditor.use_cache_raw`

bpy.types.ShapeKeyBezierPoint
-----------------------------

Added
^^^^^

* :class:`bpy.types.ShapeKeyBezierPoint.radius`
* :class:`bpy.types.ShapeKeyBezierPoint.tilt`

bpy.types.ShapeKeyCurvePoint
----------------------------

Added
^^^^^

* :class:`bpy.types.ShapeKeyCurvePoint.radius`

bpy.types.SmokeDomainSettings
-----------------------------

Added
^^^^^

* :class:`bpy.types.SmokeDomainSettings.clipping`
* :class:`bpy.types.SmokeDomainSettings.collision_collection`
* :class:`bpy.types.SmokeDomainSettings.display_interpolation`
* :class:`bpy.types.SmokeDomainSettings.effector_collection`
* :class:`bpy.types.SmokeDomainSettings.fluid_collection`
* :class:`bpy.types.SmokeDomainSettings.temperature_grid`

Removed
^^^^^^^

* **collision_group**
* **effector_group**
* **fluid_group**

Renamed
^^^^^^^

* **draw_velocity** -> :class:`bpy.types.SmokeDomainSettings.show_velocity`
* **vector_draw_type** -> :class:`bpy.types.SmokeDomainSettings.vector_display_type`

bpy.types.SoftBodySettings
--------------------------

Added
^^^^^

* :class:`bpy.types.SoftBodySettings.collision_collection`

Removed
^^^^^^^

* **collision_group**

bpy.types.Space
---------------

Added
^^^^^

* :class:`bpy.types.Space.show_region_header`

bpy.types.SpaceClipEditor
-------------------------

Added
^^^^^

* :class:`bpy.types.SpaceClipEditor.mask_display_type`
* :class:`bpy.types.SpaceClipEditor.show_annotation`
* :class:`bpy.types.SpaceClipEditor.show_region_hud`
* :class:`bpy.types.SpaceClipEditor.show_region_toolbar`
* :class:`bpy.types.SpaceClipEditor.show_region_ui`

Removed
^^^^^^^

* **mask_draw_type**
* **show_grease_pencil**

bpy.types.SpaceDopeSheetEditor
------------------------------

Added
^^^^^

* :class:`bpy.types.SpaceDopeSheetEditor.cache_cloth`
* :class:`bpy.types.SpaceDopeSheetEditor.cache_dynamicpaint`
* :class:`bpy.types.SpaceDopeSheetEditor.cache_particles`
* :class:`bpy.types.SpaceDopeSheetEditor.cache_rigidbody`
* :class:`bpy.types.SpaceDopeSheetEditor.cache_smoke`
* :class:`bpy.types.SpaceDopeSheetEditor.cache_softbody`
* :class:`bpy.types.SpaceDopeSheetEditor.show_cache`
* :class:`bpy.types.SpaceDopeSheetEditor.show_extremes`
* :class:`bpy.types.SpaceDopeSheetEditor.show_interpolation`
* :class:`bpy.types.SpaceDopeSheetEditor.show_marker_lines`
* :class:`bpy.types.SpaceDopeSheetEditor.show_region_ui`
* :class:`bpy.types.SpaceDopeSheetEditor.ui_mode`

bpy.types.SpaceFileBrowser
--------------------------

Added
^^^^^

* :class:`bpy.types.SpaceFileBrowser.show_region_toolbar`
* :class:`bpy.types.SpaceFileBrowser.show_region_ui`

bpy.types.SpaceGraphEditor
--------------------------

Added
^^^^^

* :class:`bpy.types.SpaceGraphEditor.show_marker_lines`
* :class:`bpy.types.SpaceGraphEditor.show_region_ui`

bpy.types.SpaceImageEditor
--------------------------

Added
^^^^^

* :class:`bpy.types.SpaceImageEditor.mask_display_type`
* :class:`bpy.types.SpaceImageEditor.show_annotation`
* :class:`bpy.types.SpaceImageEditor.show_region_hud`
* :class:`bpy.types.SpaceImageEditor.show_region_tool_header`
* :class:`bpy.types.SpaceImageEditor.show_region_toolbar`
* :class:`bpy.types.SpaceImageEditor.show_region_ui`
* :class:`bpy.types.SpaceImageEditor.ui_mode`

Removed
^^^^^^^

* **mask_draw_type**
* **show_grease_pencil**

Renamed
^^^^^^^

* **draw_channels** -> :class:`bpy.types.SpaceImageEditor.display_channels`

bpy.types.SpaceNLA
------------------

Added
^^^^^

* :class:`bpy.types.SpaceNLA.show_marker_lines`
* :class:`bpy.types.SpaceNLA.show_region_ui`

bpy.types.SpaceNodeEditor
-------------------------

Added
^^^^^

* :class:`bpy.types.SpaceNodeEditor.backdrop_offset`
* :class:`bpy.types.SpaceNodeEditor.show_annotation`
* :class:`bpy.types.SpaceNodeEditor.show_region_toolbar`
* :class:`bpy.types.SpaceNodeEditor.show_region_ui`

Removed
^^^^^^^

* **backdrop_x**
* **backdrop_y**
* **show_grease_pencil**

bpy.types.SpaceOutliner
-----------------------

Added
^^^^^

* :class:`bpy.types.SpaceOutliner.filter_id_type`
* :class:`bpy.types.SpaceOutliner.filter_state`
* :class:`bpy.types.SpaceOutliner.show_restrict_column_enable`
* :class:`bpy.types.SpaceOutliner.show_restrict_column_hide`
* :class:`bpy.types.SpaceOutliner.show_restrict_column_holdout`
* :class:`bpy.types.SpaceOutliner.show_restrict_column_indirect_only`
* :class:`bpy.types.SpaceOutliner.show_restrict_column_render`
* :class:`bpy.types.SpaceOutliner.show_restrict_column_select`
* :class:`bpy.types.SpaceOutliner.show_restrict_column_viewport`
* :class:`bpy.types.SpaceOutliner.use_filter_children`
* :class:`bpy.types.SpaceOutliner.use_filter_collection`
* :class:`bpy.types.SpaceOutliner.use_filter_id_type`
* :class:`bpy.types.SpaceOutliner.use_filter_object`
* :class:`bpy.types.SpaceOutliner.use_filter_object_armature`
* :class:`bpy.types.SpaceOutliner.use_filter_object_camera`
* :class:`bpy.types.SpaceOutliner.use_filter_object_content`
* :class:`bpy.types.SpaceOutliner.use_filter_object_empty`
* :class:`bpy.types.SpaceOutliner.use_filter_object_light`
* :class:`bpy.types.SpaceOutliner.use_filter_object_mesh`
* :class:`bpy.types.SpaceOutliner.use_filter_object_others`

Removed
^^^^^^^

* **show_restrict_columns**

bpy.types.SpaceProperties
-------------------------

Removed
^^^^^^^

* **align**
* **texture_context**
* **use_limited_texture_context**

bpy.types.SpaceSequenceEditor
-----------------------------

Added
^^^^^

* :class:`bpy.types.SpaceSequenceEditor.show_annotation`
* :class:`bpy.types.SpaceSequenceEditor.show_marker_lines`
* :class:`bpy.types.SpaceSequenceEditor.show_region_ui`

Removed
^^^^^^^

* **show_grease_pencil**

Renamed
^^^^^^^

* **draw_overexposed** -> :class:`bpy.types.SpaceSequenceEditor.show_overexposed`
* **waveform_draw_type** -> :class:`bpy.types.SpaceSequenceEditor.waveform_display_type`

bpy.types.SpaceTextEditor
-------------------------

Added
^^^^^

* :class:`bpy.types.SpaceTextEditor.show_region_footer`
* :class:`bpy.types.SpaceTextEditor.show_region_ui`

bpy.types.SpaceView3D
---------------------

Added
^^^^^

* :class:`bpy.types.SpaceView3D.icon_from_show_object_viewport`
* :class:`bpy.types.SpaceView3D.overlay`
* :class:`bpy.types.SpaceView3D.shading`
* :class:`bpy.types.SpaceView3D.show_gizmo`
* :class:`bpy.types.SpaceView3D.show_gizmo_camera_dof_distance`
* :class:`bpy.types.SpaceView3D.show_gizmo_camera_lens`
* :class:`bpy.types.SpaceView3D.show_gizmo_context`
* :class:`bpy.types.SpaceView3D.show_gizmo_empty_force_field`
* :class:`bpy.types.SpaceView3D.show_gizmo_empty_image`
* :class:`bpy.types.SpaceView3D.show_gizmo_light_look_at`
* :class:`bpy.types.SpaceView3D.show_gizmo_light_size`
* :class:`bpy.types.SpaceView3D.show_gizmo_navigate`
* :class:`bpy.types.SpaceView3D.show_gizmo_object_rotate`
* :class:`bpy.types.SpaceView3D.show_gizmo_object_scale`
* :class:`bpy.types.SpaceView3D.show_gizmo_object_translate`
* :class:`bpy.types.SpaceView3D.show_gizmo_tool`
* :class:`bpy.types.SpaceView3D.show_object_select_armature`
* :class:`bpy.types.SpaceView3D.show_object_select_camera`
* :class:`bpy.types.SpaceView3D.show_object_select_curve`
* :class:`bpy.types.SpaceView3D.show_object_select_empty`
* :class:`bpy.types.SpaceView3D.show_object_select_font`
* :class:`bpy.types.SpaceView3D.show_object_select_grease_pencil`
* :class:`bpy.types.SpaceView3D.show_object_select_lattice`
* :class:`bpy.types.SpaceView3D.show_object_select_light`
* :class:`bpy.types.SpaceView3D.show_object_select_light_probe`
* :class:`bpy.types.SpaceView3D.show_object_select_mesh`
* :class:`bpy.types.SpaceView3D.show_object_select_meta`
* :class:`bpy.types.SpaceView3D.show_object_select_speaker`
* :class:`bpy.types.SpaceView3D.show_object_select_surf`
* :class:`bpy.types.SpaceView3D.show_object_viewport_armature`
* :class:`bpy.types.SpaceView3D.show_object_viewport_camera`
* :class:`bpy.types.SpaceView3D.show_object_viewport_curve`
* :class:`bpy.types.SpaceView3D.show_object_viewport_empty`
* :class:`bpy.types.SpaceView3D.show_object_viewport_font`
* :class:`bpy.types.SpaceView3D.show_object_viewport_grease_pencil`
* :class:`bpy.types.SpaceView3D.show_object_viewport_lattice`
* :class:`bpy.types.SpaceView3D.show_object_viewport_light`
* :class:`bpy.types.SpaceView3D.show_object_viewport_light_probe`
* :class:`bpy.types.SpaceView3D.show_object_viewport_mesh`
* :class:`bpy.types.SpaceView3D.show_object_viewport_meta`
* :class:`bpy.types.SpaceView3D.show_object_viewport_speaker`
* :class:`bpy.types.SpaceView3D.show_object_viewport_surf`
* :class:`bpy.types.SpaceView3D.show_region_hud`
* :class:`bpy.types.SpaceView3D.show_region_tool_header`
* :class:`bpy.types.SpaceView3D.show_region_toolbar`
* :class:`bpy.types.SpaceView3D.show_region_ui`
* :class:`bpy.types.SpaceView3D.use_local_camera`

Removed
^^^^^^^

* **active_layer**
* **background_images**
* **current_orientation**
* **cursor_location**
* **grid_lines**
* **grid_scale**
* **grid_scale_unit**
* **grid_subdivisions**
* **layers**
* **layers_local_view**
* **layers_used**
* **lock_camera_and_layers**
* **matcap_icon**
* **pivot_point**
* **show_all_objects_origin**
* **show_axis_x**
* **show_axis_y**
* **show_axis_z**
* **show_backface_culling**
* **show_background_images**
* **show_floor**
* **show_grease_pencil**
* **show_manipulator**
* **show_occlude_wire**
* **show_only_render**
* **show_outline_selected**
* **show_relationship_lines**
* **show_textured_shadeless**
* **show_textured_solid**
* **show_world**
* **transform_manipulators**
* **transform_orientation**
* **use_matcap**
* **use_occlude_geometry**
* **use_pivot_point_align**
* **viewport_shade**

Renamed
^^^^^^^

* **tracks_draw_size** -> :class:`bpy.types.SpaceView3D.tracks_display_size`
* **tracks_draw_type** -> :class:`bpy.types.SpaceView3D.tracks_display_type`

bpy.types.SpaceUVEditor
-----------------------

Added
^^^^^

* :class:`bpy.types.SpaceUVEditor.edge_display_type`
* :class:`bpy.types.SpaceUVEditor.pixel_snap_mode`
* :class:`bpy.types.SpaceUVEditor.show_edges`
* :class:`bpy.types.SpaceUVEditor.show_pixel_coords`

Removed
^^^^^^^

* **edge_draw_type**
* **other_uv_filter**
* **show_normalized_coords**
* **show_other_objects**
* **use_snap_to_pixels**

Renamed
^^^^^^^

* **draw_stretch_type** -> :class:`bpy.types.SpaceUVEditor.display_stretch_type`

bpy.types.Spline
----------------

Added
^^^^^

* :class:`bpy.types.Spline.calc_length`

bpy.types.Struct
----------------

Added
^^^^^

* :class:`bpy.types.Struct.property_tags`

bpy.types.TexPaintSlot
----------------------

Added
^^^^^

* :class:`bpy.types.TexPaintSlot.is_valid`

Removed
^^^^^^^

* **index**

bpy.types.TextCharacterFormat
-----------------------------

Added
^^^^^

* :class:`bpy.types.TextCharacterFormat.kerning`

bpy.types.TextureSlot
---------------------

Removed
^^^^^^^

* **invert**
* **use_rgb_to_intensity**
* **use_stencil**

bpy.types.LineStyleTextureSlot
------------------------------

Removed
^^^^^^^

* **use_tips**

bpy.types.ParticleSettingsTextureSlot
-------------------------------------

Added
^^^^^

* :class:`bpy.types.ParticleSettingsTextureSlot.twist_factor`
* :class:`bpy.types.ParticleSettingsTextureSlot.use_map_twist`

bpy.types.Theme
---------------

Removed
^^^^^^^

* **logic_editor**
* **timeline**

Renamed
^^^^^^^

* **user_preferences** -> :class:`bpy.types.Theme.preferences`
* **user_preferences** -> :class:`bpy.types.Theme.statusbar`
* **user_preferences** -> :class:`bpy.types.Theme.topbar`

bpy.types.ThemeClipEditor
-------------------------

Added
^^^^^

* :class:`bpy.types.ThemeClipEditor.time_scrub_background`

Removed
^^^^^^^

* **gp_vertex_select**
* **gp_vertex_size**

Renamed
^^^^^^^

* **gp_vertex** -> :class:`bpy.types.ThemeClipEditor.metadatabg`
* **gp_vertex** -> :class:`bpy.types.ThemeClipEditor.metadatatext`

bpy.types.ThemeDopeSheet
------------------------

Added
^^^^^

* :class:`bpy.types.ThemeDopeSheet.interpolation_line`
* :class:`bpy.types.ThemeDopeSheet.keyframe_movehold`
* :class:`bpy.types.ThemeDopeSheet.keyframe_movehold_selected`
* :class:`bpy.types.ThemeDopeSheet.preview_range`
* :class:`bpy.types.ThemeDopeSheet.time_scrub_background`

bpy.types.ThemeGraphEditor
--------------------------

Added
^^^^^

* :class:`bpy.types.ThemeGraphEditor.preview_range`
* :class:`bpy.types.ThemeGraphEditor.time_scrub_background`

bpy.types.ThemeImageEditor
--------------------------

Removed
^^^^^^^

* **gp_vertex**
* **gp_vertex_select**
* **gp_vertex_size**

bpy.types.ThemeNLAEditor
------------------------

Added
^^^^^

* :class:`bpy.types.ThemeNLAEditor.preview_range`
* :class:`bpy.types.ThemeNLAEditor.time_scrub_background`

bpy.types.ThemeNodeEditor
-------------------------

Removed
^^^^^^^

* **gp_vertex**
* **gp_vertex_select**
* **gp_vertex_size**

bpy.types.ThemeOutliner
-----------------------

Added
^^^^^

* :class:`bpy.types.ThemeOutliner.active_object`
* :class:`bpy.types.ThemeOutliner.edited_object`
* :class:`bpy.types.ThemeOutliner.row_alternate`
* :class:`bpy.types.ThemeOutliner.selected_object`

bpy.types.ThemePanelColors
--------------------------

Added
^^^^^

* :class:`bpy.types.ThemePanelColors.sub_back`

Removed
^^^^^^^

* **show_back**
* **show_header**

bpy.types.ThemeSequenceEditor
-----------------------------

Added
^^^^^

* :class:`bpy.types.ThemeSequenceEditor.time_scrub_background`

Removed
^^^^^^^

* **gp_vertex**
* **gp_vertex_select**
* **gp_vertex_size**

bpy.types.ThemeSpaceGeneric
---------------------------

Added
^^^^^

* :class:`bpy.types.ThemeSpaceGeneric.execution_buts`
* :class:`bpy.types.ThemeSpaceGeneric.navigation_bar`

bpy.types.ThemeSpaceGradient
----------------------------

Added
^^^^^

* :class:`bpy.types.ThemeSpaceGradient.execution_buts`
* :class:`bpy.types.ThemeSpaceGradient.navigation_bar`

bpy.types.ThemeUserInterface
----------------------------

Added
^^^^^

* :class:`bpy.types.ThemeUserInterface.editor_outline`
* :class:`bpy.types.ThemeUserInterface.gizmo_a`
* :class:`bpy.types.ThemeUserInterface.gizmo_b`
* :class:`bpy.types.ThemeUserInterface.gizmo_hi`
* :class:`bpy.types.ThemeUserInterface.gizmo_primary`
* :class:`bpy.types.ThemeUserInterface.gizmo_secondary`
* :class:`bpy.types.ThemeUserInterface.icon_border_intensity`
* :class:`bpy.types.ThemeUserInterface.icon_collection`
* :class:`bpy.types.ThemeUserInterface.icon_modifier`
* :class:`bpy.types.ThemeUserInterface.icon_object`
* :class:`bpy.types.ThemeUserInterface.icon_object_data`
* :class:`bpy.types.ThemeUserInterface.icon_saturation`
* :class:`bpy.types.ThemeUserInterface.icon_scene`
* :class:`bpy.types.ThemeUserInterface.icon_shading`
* :class:`bpy.types.ThemeUserInterface.wcol_tab`
* :class:`bpy.types.ThemeUserInterface.wcol_toolbar_item`

Removed
^^^^^^^

* **icon_file**

bpy.types.ThemeView3D
---------------------

Added
^^^^^

* :class:`bpy.types.ThemeView3D.object_origin_size`

Removed
^^^^^^^

* **object_grouped**
* **object_grouped_active**

Renamed
^^^^^^^

* **lamp** -> :class:`bpy.types.ThemeView3D.light`

bpy.types.ThemeWidgetColors
---------------------------

Added
^^^^^

* :class:`bpy.types.ThemeWidgetColors.roundness`

bpy.types.ThemeWidgetStateColors
--------------------------------

Added
^^^^^

* :class:`bpy.types.ThemeWidgetStateColors.inner_changed`
* :class:`bpy.types.ThemeWidgetStateColors.inner_changed_sel`
* :class:`bpy.types.ThemeWidgetStateColors.inner_overridden`
* :class:`bpy.types.ThemeWidgetStateColors.inner_overridden_sel`

bpy.types.ToolSettings
----------------------

Added
^^^^^

* :class:`bpy.types.ToolSettings.annotation_stroke_placement_view3d`
* :class:`bpy.types.ToolSettings.annotation_thickness`
* :class:`bpy.types.ToolSettings.gpencil_paint`
* :class:`bpy.types.ToolSettings.gpencil_selectmode`
* :class:`bpy.types.ToolSettings.gpencil_stroke_snap_mode`
* :class:`bpy.types.ToolSettings.lock_object_mode`
* :class:`bpy.types.ToolSettings.normal_vector`
* :class:`bpy.types.ToolSettings.transform_pivot_point`
* :class:`bpy.types.ToolSettings.use_gpencil_thumbnail_list`
* :class:`bpy.types.ToolSettings.use_gpencil_weight_data_add`
* :class:`bpy.types.ToolSettings.use_keyframe_cycle_aware`
* :class:`bpy.types.ToolSettings.use_proportional_connected`
* :class:`bpy.types.ToolSettings.use_proportional_edit`
* :class:`bpy.types.ToolSettings.use_proportional_projected`
* :class:`bpy.types.ToolSettings.use_snap_rotate`
* :class:`bpy.types.ToolSettings.use_snap_scale`
* :class:`bpy.types.ToolSettings.use_snap_translate`
* :class:`bpy.types.ToolSettings.use_transform_pivot_point_align`

Removed
^^^^^^^

* **edge_path_mode**
* **etch_adaptive_limit**
* **etch_convert_mode**
* **etch_length_limit**
* **etch_number**
* **etch_roll_mode**
* **etch_side**
* **etch_subdivision_number**
* **etch_template**
* **gpencil_brushes**
* **gpencil_stroke_placement_image_editor**
* **gpencil_stroke_placement_view2d**
* **grease_pencil_source**
* **normal_size**
* **proportional_edit**
* **use_bone_sketching**
* **use_etch_autoname**
* **use_etch_overdraw**
* **use_etch_quick**
* **use_gpencil_continuous_drawing**
* **use_uv_sculpt**
* **uv_sculpt_tool**

Renamed
^^^^^^^

* **edge_path_live_unwrap** -> :class:`bpy.types.ToolSettings.use_edge_path_live_unwrap`
* **gpencil_stroke_placement_sequencer_preview** -> :class:`bpy.types.ToolSettings.annotation_stroke_placement_image_editor`
* **gpencil_stroke_placement_sequencer_preview** -> :class:`bpy.types.ToolSettings.annotation_stroke_placement_sequencer_preview`
* **gpencil_stroke_placement_sequencer_preview** -> :class:`bpy.types.ToolSettings.annotation_stroke_placement_view2d`
* **snap_element** -> :class:`bpy.types.ToolSettings.snap_elements`
* **use_gpencil_additive_drawing** -> :class:`bpy.types.ToolSettings.use_gpencil_draw_additive`

bpy.types.UILayout
------------------

Added
^^^^^

* :class:`bpy.types.UILayout.activate_init`
* :class:`bpy.types.UILayout.active_default`
* :class:`bpy.types.UILayout.direction`
* :class:`bpy.types.UILayout.emboss`
* :class:`bpy.types.UILayout.grid_flow`
* :class:`bpy.types.UILayout.menu_contents`
* :class:`bpy.types.UILayout.operator_menu_hold`
* :class:`bpy.types.UILayout.popover`
* :class:`bpy.types.UILayout.popover_group`
* :class:`bpy.types.UILayout.prop_tabs_enum`
* :class:`bpy.types.UILayout.prop_with_menu`
* :class:`bpy.types.UILayout.prop_with_popover`
* :class:`bpy.types.UILayout.template_ID_tabs`
* :class:`bpy.types.UILayout.template_greasepencil_color`
* :class:`bpy.types.UILayout.template_greasepencil_modifier`
* :class:`bpy.types.UILayout.template_icon`
* :class:`bpy.types.UILayout.template_recent_files`
* :class:`bpy.types.UILayout.template_search`
* :class:`bpy.types.UILayout.template_search_preview`
* :class:`bpy.types.UILayout.template_shaderfx`
* :class:`bpy.types.UILayout.ui_units_x`
* :class:`bpy.types.UILayout.ui_units_y`
* :class:`bpy.types.UILayout.use_property_decorate`
* :class:`bpy.types.UILayout.use_property_split`

Removed
^^^^^^^

* **introspect**

Renamed
^^^^^^^

* **template_header_3D** -> :class:`bpy.types.UILayout.separator_spacer`
* **template_header_3D** -> :class:`bpy.types.UILayout.template_header_3D_mode`
* **template_header_3D** -> :class:`bpy.types.UILayout.template_input_status`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.UILayout.operator` (operator, text, text_ctxt, translate, icon, emboss, depress, icon_value), *was (operator, text, text_ctxt, translate, icon, emboss, icon_value)*
* :class:`bpy.types.UILayout.prop` (data, property, text, text_ctxt, translate, icon, expand, slider, toggle, icon_only, event, full_event, emboss, index, icon_value, invert_checkbox), *was (data, property, text, text_ctxt, translate, icon, expand, slider, toggle, icon_only, event, full_event, emboss, index, icon_value)*
* :class:`bpy.types.UILayout.separator` (factor), *was ()*
* :class:`bpy.types.UILayout.split` (factor, align), *was (percentage, align)*
* :class:`bpy.types.UILayout.template_ID` (data, property, new, open, unlink, filter, live_icon), *was (data, property, new, open, unlink)*
* :class:`bpy.types.UILayout.template_ID_preview` (data, property, new, open, unlink, rows, cols, filter, hide_buttons), *was (data, property, new, open, unlink, rows, cols)*
* :class:`bpy.types.UILayout.template_curve_mapping` (data, property, type, levels, brush, use_negative_slope, show_tone), *was (data, property, type, levels, brush, use_negative_slope)*
* :class:`bpy.types.UILayout.template_icon_view` (data, property, show_labels, scale, scale_popup), *was (data, property, show_labels, scale)*
* :class:`bpy.types.UILayout.template_list` (listtype_name, list_id, dataptr, propname, active_dataptr, active_propname, item_dyntip_propname, rows, maxrows, type, columns, sort_reverse, sort_lock), *was (listtype_name, list_id, dataptr, propname, active_dataptr, active_propname, item_dyntip_propname, rows, maxrows, type, columns)*

bpy.types.UIList
----------------

Added
^^^^^

* :class:`bpy.types.UIList.use_filter_sort_lock`

bpy.types.CLIP_UL_tracking_objects
----------------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.CLIP_UL_tracking_objects.draw_item` (self, _context, layout, _data, item, _icon, _active_data, _active_propname, _index), *was (self, context, layout, data, item, icon, active_data, active_propname, index)*

bpy.types.FILEBROWSER_UL_dir
----------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.FILEBROWSER_UL_dir.draw_item` (self, _context, layout, _data, item, icon, _active_data, active_propname, _index), *was (self, context, layout, data, item, icon, active_data, active_propname, index)*

bpy.types.GPENCIL_UL_layer
--------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.GPENCIL_UL_layer.draw_item` (self, _context, layout, _data, item, icon, _active_data, _active_propname, _index), *was (self, context, layout, data, item, icon, active_data, active_propname, index)*

bpy.types.MASK_UL_layers
------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.MASK_UL_layers.draw_item` (self, _context, layout, _data, item, icon, _active_data, _active_propname, _index), *was (self, context, layout, data, item, icon, active_data, active_propname, index)*

bpy.types.MATERIAL_UL_matslots
------------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.MATERIAL_UL_matslots.draw_item` (self, _context, layout, _data, item, icon, _active_data, _active_propname, _index), *was (self, context, layout, data, item, icon, active_data, active_propname, index)*

bpy.types.MESH_UL_shape_keys
----------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.MESH_UL_shape_keys.draw_item` (self, _context, layout, _data, item, icon, active_data, _active_propname, index), *was (self, context, layout, data, item, icon, active_data, active_propname, index)*

bpy.types.MESH_UL_vgroups
-------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.MESH_UL_vgroups.draw_item` (self, _context, layout, _data, item, icon, _active_data_, _active_propname, _index), *was (self, context, layout, data, item, icon, active_data, active_propname, index)*

bpy.types.NODE_UL_interface_sockets
-----------------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.NODE_UL_interface_sockets.draw_item` (self, context, layout, _data, item, icon, _active_data, _active_propname, _index), *was (self, context, layout, data, item, icon, active_data, active_propname, index)*

bpy.types.PARTICLE_UL_particle_systems
--------------------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.PARTICLE_UL_particle_systems.draw_item` (self, _context, layout, data, item, icon, _active_data, _active_propname, _index, _flt_flag), *was (self, context, layout, data, item, icon, active_data, active_propname, index, flt_flag)*

bpy.types.PHYSICS_UL_dynapaint_surfaces
---------------------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.PHYSICS_UL_dynapaint_surfaces.draw_item` (self, _context, layout, _data, item, icon, _active_data, _active_propname, _index), *was (self, context, layout, data, item, icon, active_data, active_propname, index)*

bpy.types.SCENE_UL_keying_set_paths
-----------------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.SCENE_UL_keying_set_paths.draw_item` (self, _context, layout, _data, item, icon, _active_data, _active_propname, _index), *was (self, context, layout, data, item, icon, active_data, active_propname, index)*

bpy.types.TEXTURE_UL_texpaintslots
----------------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.TEXTURE_UL_texpaintslots.draw_item` (self, _context, layout, _data, item, icon, _active_data, _active_propname, _index), *was (self, context, layout, data, item, icon, active_data, active_propname, index)*

bpy.types.TEXTURE_UL_texslots
-----------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.TEXTURE_UL_texslots.draw_item` (self, _context, layout, _data, item, icon, _active_data, _active_propname, _index), *was (self, context, layout, data, item, icon, active_data, active_propname, index)*

bpy.types.UVLoopLayers
----------------------

Added
^^^^^

* :class:`bpy.types.UVLoopLayers.new`
* :class:`bpy.types.UVLoopLayers.remove`

bpy.types.UnitSettings
----------------------

Added
^^^^^

* :class:`bpy.types.UnitSettings.length_unit`
* :class:`bpy.types.UnitSettings.mass_unit`
* :class:`bpy.types.UnitSettings.time_unit`

bpy.types.UserSolidLight
------------------------

Added
^^^^^

* :class:`bpy.types.UserSolidLight.smooth`

bpy.types.Window
----------------

Added
^^^^^

* :class:`bpy.types.Window.event_simulate`
* :class:`bpy.types.Window.parent`
* :class:`bpy.types.Window.scene`
* :class:`bpy.types.Window.view_layer`
* :class:`bpy.types.Window.workspace`

bpy.types.WorldLighting
-----------------------

Removed
^^^^^^^

* **adapt_to_speed**
* **ao_blend_type**
* **bias**
* **correction**
* **environment_color**
* **environment_energy**
* **error_threshold**
* **falloff_strength**
* **gather_method**
* **indirect_bounces**
* **indirect_factor**
* **passes**
* **sample_method**
* **samples**
* **threshold**
* **use_cache**
* **use_environment_light**
* **use_falloff**
* **use_indirect_light**
